package io.renren.modules.app.service;

import java.util.List;

import com.baomidou.mybatisplus.service.IService;
import com.github.pagehelper.PageInfo;

import io.renren.modules.app.entity.XlkEntity;
import io.renren.modules.app.entity.YhxxEntity;


/**
 * 银行信息
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-03-22 09:53:01
 */
public interface YhxxService extends IService<YhxxEntity> {

    /**
     * 分页模糊查询
     * @param pageNum
     * @param pageSize
     * @param yhxxEntity
     * @return
     */
    PageInfo<YhxxEntity> queryByPage(Integer pageNum, Integer pageSize, YhxxEntity yhxxEntity);
    
   String queryyhbm();


    /**
    * 单个或批量删除
    * @param ids
    */
    void deleteBatch(String[] ids);
    
    //核算科目下拉框查询
    List<XlkEntity> selectkmxlk();
}

